| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>
struct Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >

Definition at line 366 of file Grammars.h.

## Public Member Functions
| definition (PairGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | para
KeyGrammarT | grkey
ValueGrammarT | grvalue

## Constructor & Destructor Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition | ( | PairGrammar const & | self | ) | `[inline]`

Definition at line 368 of file Grammars.h.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::delim(), Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grkey, Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grvalue, Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::matchFirst(), Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::matchSecond(), and Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::para.

    00369         {
    00370           para
    00371             = (
    00372                str_p("(")
    00373                >> (grkey[boost::bind(&PairGrammar::matchFirst,&self,_1)])
    00374                >> self.delim().c_str()
    00375                >> (grvalue[boost::bind(&PairGrammar::matchSecond,&self,_1)])
    00376                >> str_p(")")
    00377                ) ;
    00378         }

## Member Function Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 379 of file Grammars.h.

References Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::para.

    00379 { return para; }

## Member Data Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::para

Definition at line 380 of file Grammars.h.

Referenced by Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition(), and Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::start().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

KeyGrammarT Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grkey

Definition at line 381 of file Grammars.h.

Referenced by Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

ValueGrammarT Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grvalue

Definition at line 382 of file Grammars.h.

Referenced by Gaudi::Parsers::PairGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h